
.font_weight1{
    font-weight:bolder ;
    color: #058c81;
}

.font_weight2{
    font-weight:500;
    color: #420202;
}

h2 {
  position: relative;
  padding: 5px 5px 5px 42px;
  background: #3268ce;
  font-size: clamp(20px, 1.8vw, 25px);
  color: white;
  margin-left: -33px;
  line-height: 1.3;
  z-index:-1;
}

h2:before {
  position: absolute;
  content: '';
  left: -2px;
  top: -2px;
  border: none;
  border-left: solid 40px white;
  border-bottom: solid 79px transparent;
  z-index:-2
}


.ipv6_link{
    color: #0000FF;  /* マウスオン時の文字色 */
    text-decoration:none;
}

.ipv6_link:hover{
    color: #F30100;  /* マウスオン時の文字色 */
}

/*---------------------------------------------------------------------------*/
/*                          スマホ版デザイン領域                             */
/*---------------------------------------------------------------------------*/
@media screen and (max-width:639px) {
/*スマホ用のcssを記述*/

.font_weight2{
  font-size: 0.7rem;
}


/* 共通設定 */
main{
    font-size: 0.8rem;
}

p{
    font-size: 0.9rem;
}

.header{
   width:100%;
   text-align:center;
   margin: auto;
}

.header_img{
    text-align:center;
    margin: auto;
}

.stripe{ 
  position: relative;
  padding: 0.3rem;
  font-size: 1.2rem;
}

.stripe:after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 7px;
  background: repeating-linear-gradient(-45deg, skyblue, skyblue 2px, white 2px, white 4px);
}

.ipv6_title{
    width:100%;
    margin: auto;
    margin-top: 30px;
    margin-bottom: 30px;
    padding-left: 10px;
    padding-right: 10px;
}

.ipv6_judge{
    width:100%;
    margin: auto;
    margin-top: 30px;
    margin-bottom: 30px;
    padding-left: 10px;
    padding-right: 10px;
}

.ipv6_info{
    width:100%;
    margin: auto;
    margin-top: 30px;
    margin-bottom: 30px;
    padding-left: 10px;
    padding-right: 10px;
}

.ipv6_use{
    width:100%;
    margin: auto;
    margin-top: 30px;
    margin-bottom: 30px;
    padding-left: 10px;
    padding-right: 10px;
}

.ipv6_flow{
    width:100%;
    margin: auto;
    margin-top: 30px;
    margin-bottom: 30px;
    padding-left: 10px;
    padding-right: 10px;
}

.ipv6_apply{
    width:100%;
    margin: auto;
    margin-top: 30px;
    margin-bottom: 30px;
    padding-left: 10px;
    padding-right: 10px;
}

.ipv6_qa{
    width:100%;
    margin: auto;
    margin-top: 30px;
    margin-bottom: 30px;
    padding-left: 10px;
    padding-right: 10px;
}

.flex_menu{
    display: flex;
    justify-content: left;
    flex-wrap:wrap;
}

.btn-mail{
    width:270px;
}

a.btn-mail {
  position: relative;
  display: inline-block;
  overflow: hidden;

  padding: 1rem 2rem;

  background: #279ec5;
  color: #fff;
  text-decoration: none;
}

/* テキスト */
a.btn-mail span {
  position: relative;
  z-index: 3;
}

/* 塗りつぶし */
a.btn-mail::before {
  content: '';
  position: absolute;

  top: 0;
  left: -130%;

  width: 130%;
  height: 100%;

  background: #273577;

  transform: skewX(-45deg);
  transition: left .45s ease;

  z-index: 1;
}

/* hover */
a.btn-mail:hover::before {
  left: 0%;
}

/* アコーディオンメニューQA */
/* 必須 */
.accordion-content {
  display: none;
}

.accordion-header {
  background-color: #FFF;
  padding: 12px 45px 10px 20px;
  margin: 10px 0 0;
  transition: background .3s ease;
  cursor: pointer;
  position: relative;
}

.accordion-header::before,
.accordion-header::after{
  position:absolute;
  content:'';
  top:1px;
  right:20px;
  bottom:0;
  width:12px;
  height:2px;
  margin:auto;
  background:#151E2F;
}
.accordion-header::after{
  transform:rotate(-90deg);
  transition:transform 0.3s;
}
.accordion-header.active::after{transform:rotate(0deg);}

.accordion-content {
  background-color: #FFF;
  padding: 12px 20px 10px;
}

/* hover */
.accordion-header:hover {
  background-color: #F2F2F2;
}

.setting_img img{
  width: 70%;
}

}
/*---------------------------------------------------------------------------*/
/*                          タブレット・PC版デザイン領域                       */
/*---------------------------------------------------------------------------*/
@media screen and (min-width:640px) {
/*タブレット・PC用のcssを記述*/

main{
    font-size: 0.95rem;
}
.menu{
    width:100%;
}

.header{
   width:100%;    
}

.header_img{
    text-align:center;
    margin: auto;
}

.menu ul{
    margin: 0;
    list-style: none;
    display: flex;                       /* flexボックスを使う指定 */
    border-top: 1px solid #dcdcdc;       /* 上の線の幅、線種、色 */
    border-bottom: 1px solid #dcdcdc;    /* 下の線の幅、線種、色 */
}

#menu li {
	display:inline;
	list-style-type:none;
}

#menu ul {
	padding-left:1.4em;
}

#menu li img:hover {
  filter: brightness(120%);
  list-style:none;
}

.setting_img{
  margin: auto;
  text-align: center;
}

.setting_img img{
  max-width:700px;
}

.small_img img{
  height: 600px;
}

.stripe{ 
  position: relative;
  padding: 0.3em;
}

.stripe:after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 7px;
  background: repeating-linear-gradient(-45deg, rgb(221, 104, 81),rgb(221, 104, 81) 2px, white 2px, white 4px);
}

.flex_menu{
    display: flex;
    justify-content: left;
    flex-wrap:wrap;
    margin-top: 30px;
}

.ipv6_title{
    max-width:900px;
    width:100%;
    margin: auto;
    margin-top: 50px;
}

.ipv6_judge{
    max-width:900px;
    width:100%;
    margin: auto;
    margin-top: 50px;
}

.ipv6_info{
    max-width:900px;
    width:100%;
    margin: auto;
    margin-top: 50px;
}

.ipv6_use{
    max-width:900px;
    width:100%;
    margin: auto;
    margin-top: 50px;
}

.ipv6_flow{
    max-width:900px;
    width:100%;
    margin: auto;
    margin-top: 50px;
}

.ipv6_qa{
    max-width:900px;
    width:100%;
    margin: auto;
    margin-top: 50px;
}

.ipv6_rt{
    max-width:700px;
    width:100%;
    margin: auto;
    margin-top: 50px;
    margin-bottom: 20px;
}

.btn-mail{
    width:400px;
}

/*その他と主な共通部分は省略*/
.btn,
a.btn,
button.btn {
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.5;
  position: relative;
  display: inline-block;
  padding: 1rem 2rem;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  text-align: center;
  vertical-align: middle;
  text-decoration: none;
  letter-spacing: 0.1em;
  color: #ffffff;
  border-radius: 0.5rem;
}

/* <<メールボタン>> */
a.btn-mail {
  overflow: hidden;
  padding: 1rem 2rem;
  color: #fff;
  border-radius: 0;
  background: #279ec5;
}

a.btn-mail span {
  position: relative;
}

a.btn-mail:before {
  position: absolute;
  top: 0;
  left: 30px;
  width: 150%;
  height: 500%;
  content: '';
  -webkit-transition: all .6s ease-in-out;
  transition: all .5s ease-in-out;
  -webkit-transform: translateX(-77%) translateY(-70%) rotate(135deg);
  transform: translateX(-77%) translateY(-70%) rotate(135deg);
  background: #273577;
}

a.btn-mail:hover:before {
  -webkit-transform: translateX(-9%) translateY(-55%) rotate(135deg);
  transform: translateX(-9%) translateY(-55%) rotate(135deg);
}

.ipv6_list li{
    list-style:none;
}

/* アコーディオンメニューQA */
/* 必須 */
.accordion-content {
  display: none;
}

.accordion-header {
  background-color: #FFF;
  padding: 12px 45px 10px 20px;
  margin: 10px 0 0;
  transition: background .3s ease;
  cursor: pointer;
  position: relative;
}

.accordion-header::before,
.accordion-header::after{
  position:absolute;
  content:'';
  top:1px;
  right:20px;
  bottom:0;
  width:12px;
  height:2px;
  margin:auto;
  background:#151E2F;
}
.accordion-header::after{
  transform:rotate(-90deg);
  transition:transform 0.3s;
}
.accordion-header.active::after{transform:rotate(0deg);}

.accordion-content {
  background-color: #FFF;
  padding: 12px 20px 10px;
}

/* hover */
.accordion-header:hover {
  background-color: #F2F2F2;
}

}
